Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Read_Buffer.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/os_include/os_stdio.h"`
`#include "ace/Read_Buffer.i"`

Include dependency graph for Read_Buffer.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Read_Buffer
| Efficiently reads an artibrarily large buffer from an input stream up to and including a termination character. Also performs search/replace on single occurrences a character in the buffer using the principles of Integrated Layer Processing. More...

## Detailed Description

Id:
  Read_Buffer.h,v 4.20 2003/07/19 19:04:13 dhinton Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu> , Seth Widoff